libwpd: WPXPageSpan Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WPXPageSpan Class Reference

`#include <WPXPageSpan.h>`

List of all members.

## Public Member Functions
| WPXPageSpan ()
| WPXPageSpan (WPXPageSpan &page, float paragraphMarginLeft=0.0f, float paragraphMarginRight=0.0f)
virtual | ~WPXPageSpan ()
const bool | getHeaderFooterSuppression (const uint8_t headerFooterType) const
const float | getFormLength () const
const float | getFormWidth () const
const WPXFormOrientation | getFormOrientation () const
const float | getMarginLeft () const
const float | getMarginRight () const
const float | getMarginTop () const
const float | getMarginBottom () const
const int | getPageSpan () const
const std::vector< WPXHeaderFooter > & | getHeaderFooterList () const
void | setHeaderFooter (const uint8_t headerFooterType, const uint8_t occurenceBits, const WPXSubDocument *subDocument, WPXTableList tableList)
void | setHeadFooterSuppression (const uint8_t headerFooterType, const bool suppress)
void | setFormLength (const float formLength)
void | setFormWidth (const float formWidth)
void | setFormOrientation (const WPXFormOrientation formOrientation)
void | setMarginLeft (const float marginLeft)
void | setMarginRight (const float marginRight)
void | setMarginTop (const float marginTop)
void | setMarginBottom (const float marginBottom)
void | setPageSpan (const int pageSpan)
void | makeConsistent (int startingPageNumber)
## Protected Member Functions
void | _removeHeaderFooter (WPXHeaderFooterType type, WPXHeaderFooterOccurence occurence)
bool | _containsHeaderFooter (WPXHeaderFooterType type, WPXHeaderFooterOccurence occurence)
## Private Attributes
bool | m_isHeaderFooterSuppressed [WP6_NUM_HEADER_FOOTER_TYPES]
float | m_formLength
float | m_formWidth
WPXFormOrientation | m_formOrientation
float | m_marginLeft
float | m_marginRight
float | m_marginTop
float | m_marginBottom
std::vector< WPXHeaderFooter > | m_headerFooterList
int | m_pageSpan

## Constructor & Destructor Documentation

WPXPageSpan::WPXPageSpan | ( |  | ) |

WPXPageSpan::WPXPageSpan | ( | WPXPageSpan & | page,
|  | float | paragraphMarginLeft = `0.0f`,
|  | float | paragraphMarginRight = `0.0f`
| ) |

WPXPageSpan::~WPXPageSpan | ( |  | ) | `[virtual]`

## Member Function Documentation

bool WPXPageSpan::_containsHeaderFooter | ( | WPXHeaderFooterType | type,
|  | WPXHeaderFooterOccurence | occurence
| ) | `[protected]`

void WPXPageSpan::_removeHeaderFooter | ( | WPXHeaderFooterType | type,
|  | WPXHeaderFooterOccurence | occurence
| ) | `[protected]`

const float WPXPageSpan::getFormLength | ( |  | ) | const`[inline]`

const WPXFormOrientation WPXPageSpan::getFormOrientation | ( |  | ) | const`[inline]`

const float WPXPageSpan::getFormWidth | ( |  | ) | const`[inline]`

const std::vector<WPXHeaderFooter>& WPXPageSpan::getHeaderFooterList | ( |  | ) | const`[inline]`

const bool WPXPageSpan::getHeaderFooterSuppression | ( | const uint8_t | headerFooterType | ) | const`[inline]`

const float WPXPageSpan::getMarginBottom | ( |  | ) | const`[inline]`

const float WPXPageSpan::getMarginLeft | ( |  | ) | const`[inline]`

const float WPXPageSpan::getMarginRight | ( |  | ) | const`[inline]`

const float WPXPageSpan::getMarginTop | ( |  | ) | const`[inline]`

const int WPXPageSpan::getPageSpan | ( |  | ) | const`[inline]`

void WPXPageSpan::makeConsistent | ( | int | startingPageNumber | ) |

void WPXPageSpan::setFormLength | ( | const float | formLength | ) | `[inline]`

void WPXPageSpan::setFormOrientation | ( | const WPXFormOrientation | formOrientation | ) | `[inline]`

void WPXPageSpan::setFormWidth | ( | const float | formWidth | ) | `[inline]`

void WPXPageSpan::setHeaderFooter | ( | const uint8_t | headerFooterType,
|  | const uint8_t | occurenceBits,
|  | const WPXSubDocument * | subDocument,
|  | WPXTableList | tableList
| ) |

void WPXPageSpan::setHeadFooterSuppression | ( | const uint8_t | headerFooterType,
|  | const bool | suppress
| ) | `[inline]`

void WPXPageSpan::setMarginBottom | ( | const float | marginBottom | ) | `[inline]`

void WPXPageSpan::setMarginLeft | ( | const float | marginLeft | ) | `[inline]`

void WPXPageSpan::setMarginRight | ( | const float | marginRight | ) | `[inline]`

void WPXPageSpan::setMarginTop | ( | const float | marginTop | ) | `[inline]`

void WPXPageSpan::setPageSpan | ( | const int | pageSpan | ) | `[inline]`

## Member Data Documentation

float WPXPageSpan::m_formLength`[private]`

WPXFormOrientation WPXPageSpan::m_formOrientation`[private]`

float WPXPageSpan::m_formWidth`[private]`

std::vector<WPXHeaderFooter> WPXPageSpan::m_headerFooterList`[private]`

bool WPXPageSpan::m_isHeaderFooterSuppressed[WP6_NUM_HEADER_FOOTER_TYPES]`[private]`

float WPXPageSpan::m_marginBottom`[private]`

float WPXPageSpan::m_marginLeft`[private]`

float WPXPageSpan::m_marginRight`[private]`

float WPXPageSpan::m_marginTop`[private]`

int WPXPageSpan::m_pageSpan`[private]`

The documentation for this class was generated from the following files:

- WPXPageSpan.h
- WPXPageSpan.cpp